Package org.sunflow.system

# Class Timer

java.lang.Object
org.sunflow.system.Timer

public class Timer extends Object

## Constructor Summary

Constructors
Constructor
Description
`Timer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`end()`
`long`
`nanos()`
`double`
`seconds()`
`void`
`start()`
`String`
`toString()`
`static String`
`toString(double seconds)`
`static String`
`toString(long nanos)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Timer

public Timer()

## Method Details

### start

public void start()

### end

public void end()

### nanos

public long nanos()

### seconds

public double seconds()

### toString

public static String toString(long nanos)

### toString

public static String toString(double seconds)

### toString

public String toString()

Overrides:
  `toString` in class `Object`